import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-17 18:08
 */
export interface TapdReviewConfig{
    /**
    * 
    * @type { string }
    */
    id?: string;
    /**
    * 所属环境
    * @type { string }
    */
    env?: string;
    /**
    * 文件名称
    * @type { string }
    */
    fileName?: string;
    /**
    * 文件地址
    * @type { string }
    */
    filePath?: string;
    /**
    * 配置内容
    * @type { string }
    */
    config?: string;
    /**
    * 
    * @type { string }
    */
    tapdId?: string;
}
export class TapdReviewConfigMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get ENV(): FieldInfo{  
        return new FieldInfo('env','所属环境');
    }
    static get FILE_NAME(): FieldInfo{  
        return new FieldInfo('fileName','文件名称');
    }
    static get FILE_PATH(): FieldInfo{  
        return new FieldInfo('filePath','文件地址');
    }
    static get CONFIG(): FieldInfo{  
        return new FieldInfo('config','配置内容');
    }
    static get TAPD_ID(): FieldInfo{  
        return new FieldInfo('tapdId','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-17 18:08
 */
export interface TapdReviewDatabase{
    /**
    * 
    * @type { string }
    */
    id?: string;
    /**
    * 实例ID
    * @type { string }
    */
    instanceId?: string;
    /**
    * 主机名
    * @type { string }
    */
    instanceName?: string;
    /**
    * 数据库名
    * @type { string }
    */
    databaseName?: string;
    /**
    * sql语句
    * @type { string }
    */
    sql?: string;
    /**
    * 
    * @type { string }
    */
    tapdId?: string;
}
export class TapdReviewDatabaseMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get INSTANCE_ID(): FieldInfo{  
        return new FieldInfo('instanceId','实例ID');
    }
    static get INSTANCE_NAME(): FieldInfo{  
        return new FieldInfo('instanceName','主机名');
    }
    static get DATABASE_NAME(): FieldInfo{  
        return new FieldInfo('databaseName','数据库名');
    }
    static get SQL(): FieldInfo{  
        return new FieldInfo('sql','sql语句');
    }
    static get TAPD_ID(): FieldInfo{  
        return new FieldInfo('tapdId','');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-17 18:08
 */
export interface TapdReviewInfo{
    /**
    * 
    * @type { string }
    */
    id?: string;
    /**
    * 
    * @type { string }
    */
    tapdId?: string;
    /**
    * 业务组类型：0-CP；1-PC；2-SaaS；
    * @type { number }
    */
    businessGroup?: number;
}
export class TapdReviewInfoMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get TAPD_ID(): FieldInfo{  
        return new FieldInfo('tapdId','');
    }
    static get BUSINESS_GROUP(): FieldInfo{  
        return new FieldInfo('businessGroup','业务组类型：0-CP；1-PC；2-SaaS；');
    }
}


/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-17 18:08
 */
export interface TapdReviewApp{
    /**
    * 
    * @type { string }
    */
    id?: string;
    /**
    * 应用名称
    * @type { string }
    */
    appName?: string;
    /**
    * 应用类型：0-deamon应用；1-web应用；2-前端；
    * @type { number }
    */
    appType?: number;
    /**
    * 发布版本
    * @type { string }
    */
    version?: string;
    /**
    * 
    * @type { string }
    */
    description?: string;
    /**
    * 
    * @type { string }
    */
    tapdId?: string;
}
export class TapdReviewAppMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get APP_NAME(): FieldInfo{  
        return new FieldInfo('appName','应用名称');
    }
    static get APP_TYPE(): FieldInfo{  
        return new FieldInfo('appType','应用类型：0-deamon应用；1-web应用；2-前端；');
    }
    static get VERSION(): FieldInfo{  
        return new FieldInfo('version','发布版本');
    }
    static get DESCRIPTION(): FieldInfo{  
        return new FieldInfo('description','');
    }
    static get TAPD_ID(): FieldInfo{  
        return new FieldInfo('tapdId','');
    }
}


